---
updatedAt: 2025-02-14T21:01:36.000Z
agentTools:
  projectIndex: https://developer.getontop.com/llms.txt
---

# Wallet transactions

This endpoint exposes all journal entries made into the Client ledger. It is a paginated list so it can be traversed using page and/or size query parameters.

```
curl 'https://api.demo.getontop.com/client-wallet/clients/transactions?page=1&size=200' \
--header 'Authorization: Bearer'
```

```Text json
{
"content":[
        {
            "journal_id":223,
            "wallet_id":4,
            "client_id":305,
            "idempotence_key":"2234db48f5d4f87118759fb125789ea4",
            "amount":-1.000000,
            "reason":"PAYMENT",
            "operation":"WITHDRAWAL",
            "transaction_data":{
                "payment_order_id":"335",
                "payment_purpose":"Client payment to worker"
            },
            "created_at":"2023-09-29T18:11:32.131304Z"
        }
]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "ONTOP API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.demo.getontop.com"
    }
  ],
  "tags": [
    {
      "name": "Client Wallet"
    }
  ],
  "paths": {
    "/client-wallet/clients/transactions": {
      "get": {
        "tags": [
          "Client Wallet"
        ],
        "summary": "Wallet transactions",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "Bearer xxxxxxxxxxxxxxxxxx"
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": "1"
          },
          {
            "name": "size",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "example": "200"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```